---
title: Get HTML content and screenshot.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Browser Rendering](https://developers.cloudflare.com/api/python/resources/browser_rendering)

[Snapshot](https://developers.cloudflare.com/api/python/resources/browser_rendering/subresources/snapshot)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get HTML content and screenshot.

browser\_rendering.snapshot.create(SnapshotCreateParams\*\*kwargs) -> [SnapshotCreateResponse](<https://developers.cloudflare.com/api/python/resources/browser_rendering#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/browser-rendering/snapshot

Returns the page’s HTML content and screenshot. Control page loading with `gotoOptions` and `waitFor*` options. Customize screenshots with `viewport`, `fullPage`, `clip` and others.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Browser Rendering Write`

##### ParametersExpand Collapse

account\_id: str

Account ID.

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20account_id%20%3E%20(schema)>)

url: str

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20url%20%3E%20(schema)>)

browser: Optional\[Literal\["kitesurf"]]

Rendering backend. Set to `kitesurf` to use Kitesurf (beta).

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20browser%20%3E%20(schema)>)

cache\_ttl: Optional\[float]

Cache TTL default is 5s. Set to 0 to disable.

maximum86400

minimum0

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cacheTTL%20%3E%20(schema)>)

action\_timeout: Optional\[float]

The maximum duration allowed for the browser action to complete after the page has loaded (such as taking screenshots, extracting content, or generating PDFs). If this time limit is exceeded, the action stops and returns a timeout error.

maximum120000

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20actionTimeout%20%3E%20(schema)>)

<details>

<summary>

add\_script\_tag: Optional\[Iterable\[Variant0AddScriptTag]]

Adds a script element into the page with the desired URL or content.

</summary>

id: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

content: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20content">Link to this property</a>

type: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20type">Link to this property</a>

url: Optional\[str]

formaturi

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20url">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addScriptTag%20%3E%20(schema)>)

<details>

<summary>

add\_style\_tag: Optional\[Iterable\[Variant0AddStyleTag]]

Adds a <code>&lt;link rel="stylesheet"&gt;</code> tag into the page with the desired URL or a <code>&lt;style type="text/css"&gt;</code> tag with the content.

</summary>

content: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addStyleTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20content">Link to this property</a>

url: Optional\[str]

formaturi

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addStyleTag%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20url">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20addStyleTag%20%3E%20(schema)>)

allow\_request\_pattern: Optional\[Sequence\[str]]

Only allow requests that match the provided regex patterns, eg. ’/^.\*.(css)’. Reject rules are applied first.

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowRequestPattern%20%3E%20(schema)>)

<details>

<summary>

allow\_resource\_types: Optional\[List\[Literal\["document", "stylesheet", "image", 15 more]]]

Only allow requests that match the provided resource types, eg. ‘image’ or ‘script’. Reject rules are applied first.

</summary>

One of the following:

"document"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"stylesheet"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"image"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

"media"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

"font"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

"script"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

"texttrack"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%206">Link to this property</a>

"xhr"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%207">Link to this property</a>

"fetch"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%208">Link to this property</a>

"prefetch"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%209">Link to this property</a>

"eventsource"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2010">Link to this property</a>

"websocket"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2011">Link to this property</a>

"manifest"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2012">Link to this property</a>

"signedexchange"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2013">Link to this property</a>

"ping"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2014">Link to this property</a>

"cspviolationreport"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2015">Link to this property</a>

"preflight"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2016">Link to this property</a>

"other"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2017">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20allowResourceTypes%20%3E%20(schema)>)

<details>

<summary>

authenticate: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate%20%3E%20(schema)">Variant0Authenticate</a>]

Provide credentials for HTTP authentication.

</summary>

password: str

minLength1

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate%20%3E%20(schema)%20%3E%20(property)%20password">Link to this property</a>

username: str

minLength1

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate%20%3E%20(schema)%20%3E%20(property)%20username">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20authenticate%20%3E%20(schema)>)

best\_attempt: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20bestAttempt%20%3E%20(schema)>)]

Attempt to proceed when ‘awaited’ events fail or timeout.

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20bestAttempt%20%3E%20(schema)>)

<details>

<summary>

cookies: Optional\[Iterable\[Variant0Cookie]]

Check <a href="https://pptr.dev/api/puppeteer.page.setcookie">options</a>.

</summary>

name: str

Cookie name.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

value: str

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

domain: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20domain">Link to this property</a>

expires: Optional\[float]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20expires">Link to this property</a>

http\_only: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20httpOnly">Link to this property</a>

partition\_key: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20partitionKey">Link to this property</a>

path: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20path">Link to this property</a>

<details>

<summary>

priority: Optional\[Literal\["Low", "Medium", "High"]]

</summary>

One of the following:

"Low"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority%20%3E%20(member)%200">Link to this property</a>

"Medium"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority%20%3E%20(member)%201">Link to this property</a>

"High"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20priority">Link to this property</a>

same\_party: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameParty">Link to this property</a>

<details>

<summary>

same\_site: Optional\[Literal\["Strict", "Lax", "None"]]

</summary>

One of the following:

"Strict"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite%20%3E%20(member)%200">Link to this property</a>

"Lax"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite%20%3E%20(member)%201">Link to this property</a>

"None"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sameSite">Link to this property</a>

secure: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20secure">Link to this property</a>

source\_port: Optional\[float]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourcePort">Link to this property</a>

<details>

<summary>

source\_scheme: Optional\[Literal\["Unset", "NonSecure", "Secure"]]

</summary>

One of the following:

"Unset"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme%20%3E%20(member)%200">Link to this property</a>

"NonSecure"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme%20%3E%20(member)%201">Link to this property</a>

"Secure"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20sourceScheme">Link to this property</a>

url: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20url">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20cookies%20%3E%20(schema)>)

emulate\_media\_type: Optional\[str]

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20emulateMediaType%20%3E%20(schema)>)

<details>

<summary>

formats: Optional\[List\[Literal\["content", "screenshot", "markdown", "accessibilityTree"]]]

</summary>

One of the following:

"content"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20formats%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"screenshot"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20formats%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"markdown"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20formats%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

"accessibilityTree"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20formats%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20formats%20%3E%20(schema)>)

<details>

<summary>

goto\_options: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)">Variant0GotoOptions</a>]

Check <a href="https://pptr.dev/api/puppeteer.gotooptions">options</a>.

</summary>

referer: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20referer">Link to this property</a>

referrer\_policy: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20referrerPolicy">Link to this property</a>

timeout: Optional\[float]

maximum60000

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20timeout">Link to this property</a>

<details>

<summary>

wait\_until: Optional\[Union\[Literal\["load", "domcontentloaded", "networkidle0", "networkidle2"], List\[Literal\["load", "domcontentloaded", "networkidle0", "networkidle2"]]]]

</summary>

One of the following:

<details>

<summary>

Literal\["load", "domcontentloaded", "networkidle0", "networkidle2"]

</summary>

One of the following:

"load"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%200">Link to this property</a>

"domcontentloaded"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%201">Link to this property</a>

"networkidle0"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%202">Link to this property</a>

"networkidle2"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

List\[Literal\["load", "domcontentloaded", "networkidle0", "networkidle2"]]

</summary>

One of the following:

"load"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"domcontentloaded"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"networkidle0"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

"networkidle2"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)%20%3E%20(property)%20waitUntil">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20gotoOptions%20%3E%20(schema)>)

html: Optional\[str]

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20html%20%3E%20(schema)>)

reject\_request\_pattern: Optional\[Sequence\[str]]

Block undesired requests that match the provided regex patterns, eg. ’/^.\*.(css)’.

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectRequestPattern%20%3E%20(schema)>)

<details>

<summary>

reject\_resource\_types: Optional\[List\[Literal\["document", "stylesheet", "image", 15 more]]]

Block undesired requests that match the provided resource types, eg. ‘image’ or ‘script’.

</summary>

One of the following:

"document"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"stylesheet"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"image"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

"media"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

"font"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

"script"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

"texttrack"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%206">Link to this property</a>

"xhr"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%207">Link to this property</a>

"fetch"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%208">Link to this property</a>

"prefetch"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%209">Link to this property</a>

"eventsource"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2010">Link to this property</a>

"websocket"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2011">Link to this property</a>

"manifest"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2012">Link to this property</a>

"signedexchange"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2013">Link to this property</a>

"ping"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2014">Link to this property</a>

"cspviolationreport"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2015">Link to this property</a>

"preflight"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2016">Link to this property</a>

"other"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2017">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20rejectResourceTypes%20%3E%20(schema)>)

<details>

<summary>

screenshot\_options: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)">Variant0ScreenshotOptions</a>]

</summary>

capture\_beyond\_viewport: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20captureBeyondViewport">Link to this property</a>

<details>

<summary>

clip: Optional\[Variant0ScreenshotOptionsClip]

</summary>

height: float

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip%20%3E%20(property)%20height">Link to this property</a>

width: float

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip%20%3E%20(property)%20width">Link to this property</a>

x: float

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip%20%3E%20(property)%20x">Link to this property</a>

y: float

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip%20%3E%20(property)%20y">Link to this property</a>

scale: Optional\[float]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip%20%3E%20(property)%20scale">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20clip">Link to this property</a>

from\_surface: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20fromSurface">Link to this property</a>

full\_page: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20fullPage">Link to this property</a>

omit\_background: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20omitBackground">Link to this property</a>

optimize\_for\_speed: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20optimizeForSpeed">Link to this property</a>

quality: Optional\[float]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20quality">Link to this property</a>

<details>

<summary>

type: Optional\[Literal\["png", "jpeg", "webp"]]

</summary>

One of the following:

"png"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"jpeg"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

"webp"

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20screenshotOptions%20%3E%20(schema)>)

set\_extra\_http\_headers: Optional\[Dict\[str, str]]

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20setExtraHTTPHeaders%20%3E%20(schema)>)

set\_java\_script\_enabled: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20setJavaScriptEnabled%20%3E%20(schema)>)]

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20setJavaScriptEnabled%20%3E%20(schema)>)

user\_agent: Optional\[str]

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20userAgent%20%3E%20(schema)>)

<details>

<summary>

viewport: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)">Variant0Viewport</a>]

Check <a href="https://pptr.dev/api/puppeteer.page.setviewport">options</a>.

</summary>

height: float

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20height">Link to this property</a>

width: float

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20width">Link to this property</a>

device\_scale\_factor: Optional\[float]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20deviceScaleFactor">Link to this property</a>

has\_touch: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20hasTouch">Link to this property</a>

is\_landscape: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20isLandscape">Link to this property</a>

is\_mobile: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)%20%3E%20(property)%20isMobile">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20viewport%20%3E%20(schema)>)

<details>

<summary>

wait\_for\_selector: Optional\[<a href="https://developers.cloudflare.com/api/python/resources/browser_rendering/subresources/snapshot/methods/create#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)">Variant0WaitForSelector</a>]

Wait for the selector to appear in page. Check <a href="https://pptr.dev/api/puppeteer.page.waitforselector">options</a>.

</summary>

selector: str

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20selector">Link to this property</a>

hidden: Optional\[Literal\[true]]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20hidden">Link to this property</a>

timeout: Optional\[float]

maximum120000

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20timeout">Link to this property</a>

visible: Optional\[Literal\[true]]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)%20%3E%20(property)%20visible">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForSelector%20%3E%20(schema)>)

wait\_for\_timeout: Optional\[float]

Waits for a specified timeout before continuing.

maximum120000

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(method)%20create%20%3E%20(params)%200%20%3E%20(param)%20waitForTimeout%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SnapshotCreateResponse: …

</summary>

<details>

<summary>

accessibility\_tree: Optional\[AccessibilityTree]

Accessibility tree node

</summary>

role: str

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20role">Link to this property</a>

autocomplete: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20autocomplete">Link to this property</a>

<details>

<summary>

checked: Optional\[Union\[bool, Literal\["mixed"], null]]

</summary>

One of the following:

bool

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20checked%20%3E%20(variant)%200">Link to this property</a>

Literal\["mixed"]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20checked%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20checked">Link to this property</a>

children: Optional\[List\[object]]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20children">Link to this property</a>

description: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20description">Link to this property</a>

disabled: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20disabled">Link to this property</a>

expanded: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20expanded">Link to this property</a>

focused: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20focused">Link to this property</a>

haspopup: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20haspopup">Link to this property</a>

invalid: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20invalid">Link to this property</a>

keyshortcuts: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20keyshortcuts">Link to this property</a>

level: Optional\[float]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20level">Link to this property</a>

modal: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20modal">Link to this property</a>

multiline: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20multiline">Link to this property</a>

multiselectable: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20multiselectable">Link to this property</a>

name: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20name">Link to this property</a>

orientation: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20orientation">Link to this property</a>

<details>

<summary>

pressed: Optional\[Union\[bool, Literal\["mixed"], null]]

</summary>

One of the following:

bool

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20pressed%20%3E%20(variant)%200">Link to this property</a>

Literal\["mixed"]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20pressed%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20pressed">Link to this property</a>

readonly: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20readonly">Link to this property</a>

required: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20required">Link to this property</a>

roledescription: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20roledescription">Link to this property</a>

selected: Optional\[bool]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20selected">Link to this property</a>

<details>

<summary>

value: Optional\[Union\[str, float, null]]

</summary>

One of the following:

str

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20value%20%3E%20(variant)%200">Link to this property</a>

float

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20value%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20value">Link to this property</a>

valuemax: Optional\[float]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20valuemax">Link to this property</a>

valuemin: Optional\[float]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20valuemin">Link to this property</a>

valuetext: Optional\[str]

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree%20%3E%20(property)%20valuetext">Link to this property</a>

</details>

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20accessibilityTree">Link to this property</a>

content: Optional\[str]

HTML content.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

markdown: Optional\[str]

Markdown content. Prefixed with YAML frontmatter (e.g. <code>title</code>) when the page provides that metadata.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20markdown">Link to this property</a>

screenshot: Optional\[str]

Base64 encoded image.

<a href="#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)%20%3E%20(property)%20screenshot">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.snapshot%20%3E%20(model)%20snapshot_create_response%20%3E%20(schema)>)

### Get HTML content and screenshot.

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
snapshot = client.browser_rendering.snapshot.create(
    account_id="account_id",
    url="https://www.example.com/",
    formats=["content", "screenshot"],
)
print(snapshot.accessibility_tree)
```

200 example

429 example

```
{
  "meta": {
    "finalUrl": "finalUrl",
    "headers": {
      "foo": "string"
    },
    "redirectChain": [
      {
        "headers": {
          "foo": "string"
        },
        "status": 0,
        "url": "url"
      }
    ],
    "status": 0,
    "title": "title"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "accessibilityTree": {
      "role": "role",
      "autocomplete": "autocomplete",
      "checked": "mixed",
      "children": [
        {}
      ],
      "description": "description",
      "disabled": true,
      "expanded": true,
      "focused": true,
      "haspopup": "haspopup",
      "invalid": "invalid",
      "keyshortcuts": "keyshortcuts",
      "level": 0,
      "modal": true,
      "multiline": true,
      "multiselectable": true,
      "name": "name",
      "orientation": "orientation",
      "pressed": "mixed",
      "readonly": true,
      "required": true,
      "roledescription": "roledescription",
      "selected": true,
      "value": "string",
      "valuemax": 0,
      "valuemin": 0,
      "valuetext": "valuetext"
    },
    "content": "content",
    "markdown": "markdown",
    "screenshot": "screenshot"
  }
}
```

```
{
  "errors": [
    {
      "code": 2001,
      "message": "Rate limit exceeded"
    }
  ],
  "success": false
}
```

##### Returns Examples

200 example

429 example

```
{
  "meta": {
    "finalUrl": "finalUrl",
    "headers": {
      "foo": "string"
    },
    "redirectChain": [
      {
        "headers": {
          "foo": "string"
        },
        "status": 0,
        "url": "url"
      }
    ],
    "status": 0,
    "title": "title"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "accessibilityTree": {
      "role": "role",
      "autocomplete": "autocomplete",
      "checked": "mixed",
      "children": [
        {}
      ],
      "description": "description",
      "disabled": true,
      "expanded": true,
      "focused": true,
      "haspopup": "haspopup",
      "invalid": "invalid",
      "keyshortcuts": "keyshortcuts",
      "level": 0,
      "modal": true,
      "multiline": true,
      "multiselectable": true,
      "name": "name",
      "orientation": "orientation",
      "pressed": "mixed",
      "readonly": true,
      "required": true,
      "roledescription": "roledescription",
      "selected": true,
      "value": "string",
      "valuemax": 0,
      "valuemin": 0,
      "valuetext": "valuetext"
    },
    "content": "content",
    "markdown": "markdown",
    "screenshot": "screenshot"
  }
}
```

```
{
  "errors": [
    {
      "code": 2001,
      "message": "Rate limit exceeded"
    }
  ],
  "success": false
}
```